# Maintainer: Donald Webster <fryfrog@gmail.com>
# Co-Maintainer: Joaquín Rufo Gutierrez <joaquinito2051@gmail.com>
# Modified for x86_64 only by Rafael from azul

pkgname=jackett-bin
pkgver=0.20.1076
pkgrel=1
fname=Jackett.Binaries.Linux
pkgdesc='Use many torrent trackers with software that supports torznab/potato feeds.'
arch=('x86_64')
license=('GPL')
url='https://github.com/Jackett/Jackett'
urldown='https://github.com/Jackett/Jackett/releases/download'
depends=('curl' 'openssl')
optdepends=('flaresolverr: A proxy server to bypass Cloudflare protection')
options=('!strip' 'staticlibs')
provides=('jackett')
conflicts=('jackett')
source=("jackett.service"
        "jackett.sysusers"
        "jackett.tmpfiles"
        "${fname}AMDx64-${pkgver}.tar.gz::${urldown}/v${pkgver}/${fname}AMDx64.tar.gz")

sha256sums=('9d8f9d73e5fa2b2877dde010c0d8ca6fbf47f03eb1f01b02f846026a949a0dcf'
            'd005fcd009ec5404e1ec88246c31e664167f5551d6cabc35f68eb41750bfe590'
            '64022e15565a609f449090f02d53ee90ef95cffec52ae14f99e4e2132b6cffe1'
            'bcff970f1eabd63185aaa6e0f500a8eeeac59636067757412670a12005126337')

package() {
    cd "${srcdir}"
    install -d -m 755 "${pkgdir}/usr/lib/jackett/"
    cp -dpr --no-preserve=ownership "${srcdir}/Jackett/"* "${pkgdir}/usr/lib/jackett/"
    install -D -m 644 "${srcdir}/jackett.service" "${pkgdir}/usr/lib/systemd/system/jackett.service"
    install -D -m 644 "${srcdir}/jackett.sysusers" "${pkgdir}/usr/lib/sysusers.d/jackett.conf"
    install -D -m 644 "${srcdir}/jackett.tmpfiles" "${pkgdir}/usr/lib/tmpfiles.d/jackett.conf"
}
